pydo.genai.create_indexing_job()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.genai.create_indexing_job(
    body={
        "data_source_uuids": [...],
        "knowledge_base_uuid": "\"12345678-1234-1234-1234-123456789012\"",
    },
)
Returns JSONRaises HttpResponseError

Description

To start an indexing job for a knowledge base, send a POST request to /v2/gen-ai/indexing_jobs.

Parameters

data_source_uuids array of strings optional

Example: ['example string']

List of data source ids to index, if none are provided, all data sources will be indexed

knowledge_base_uuid string optional

Example: "12345678-1234-1234-1234-123456789012"

Knowledge base id

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "data_source_uuids": [
    "example string"
  ],
  "knowledge_base_uuid": "\"12345678-1234-1234-1234-123456789012\""
}

resp = client.genai.create_indexing_job(body=req)

Response Example

Show Response Example
{
  "job": {
    "completed_datasources": 123,
    "created_at": "2023-01-01T00:00:00Z",
    "data_source_jobs": [],
    "data_source_uuids": [
      "example string"
    ],
    "finished_at": "2023-01-01T00:00:00Z",
    "is_report_available": true,
    "knowledge_base_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "phase": "BATCH_JOB_PHASE_UNKNOWN",
    "started_at": "2023-01-01T00:00:00Z",
    "status": "INDEX_JOB_STATUS_UNKNOWN",
    "tokens": 123,
    "total_datasources": 123,
    "total_tokens": "12345",
    "updated_at": "2023-01-01T00:00:00Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

More Information

See /v2/gen-ai/indexing_jobs in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.